# coding: utf-8

from __future__ import annotations
from datetime import date, datetime  # noqa: F401

import re  # noqa: F401
from typing import Any, Dict, List, Optional  # noqa: F401

from pydantic import AnyUrl, BaseModel, EmailStr, Field, validator  # noqa: F401
from openapi_server.models.fruit import Fruit


class FruitOffering(BaseModel):
    """NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).

    Do not edit the class manually.

    FruitOffering - a model defined in OpenAPI

        offer_id: The offer_id of this FruitOffering.
        fruits: The fruits of this FruitOffering.
    """

    offer_id: str = Field(alias="offer_id")
    fruits: List[Fruit] = Field(alias="fruits")

FruitOffering.update_forward_refs()
